# Froomle API reference > Current Froomle documentation · [Full documentation index](https://docs.froomle.com/llms.txt) Endpoint and schema details for events, recommendations, items, search, and audiences. - [API reference](https://docs.froomle.com/froomle-doc-main/v2/api_reference/index.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/index.html)) — This section lists all the available API endpoints. These allow you to manage your item catalog, user interactions, configurations, metrics and retrieve recommendations. - [Audience Targeting API](https://docs.froomle.com/froomle-doc-main/v2/api_reference/audience/index.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/audience/index.html)) — If you have a specific offering you want to present to the users that would be most interested in it, the Audience Targeting API has you covered! - [Authentication API](https://docs.froomle.com/froomle-doc-main/v2/api_reference/authentication/authentication.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/authentication/authentication.html)) — The Froomle Authentication API provides OAuth 2.0 Bearer tokens for machine-to-machine authentication. Conceptual information, browser integration rules, and token refresh guidance… - [Batch Recommendations API](https://docs.froomle.com/froomle-doc-main/v2/api_reference/batch_recommendations/index.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/batch_recommendations/index.html)) — When a use case calls for getting personalized recommendations for multiple users it is suggested to use the Froomle Batch Recommendations API. To get a batch of recommendations a… - [Events API](https://docs.froomle.com/froomle-doc-main/v2/api_reference/events/events_api.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/events/events_api.html)) — Events are at the heart of Froomle. They represent the actions the user takes on your website, which fuel our machine learning models. Use the Event Model and Tracking Contract to… - [GET /{environment}/recommendations/lists](https://docs.froomle.com/froomle-doc-main/v2/api_reference/recommendations/operations/lists_with_env.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/recommendations/operations/lists_with_env.html)) — Retrieve a slice of a previously computed ranked list using the list_key from the original recommendation response, including a smart-sorting response. The original request returns… - [GET /{environment}/searches/completions](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/operations/completion_with_env.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/operations/completion_with_env.html)) — Request completions for a partially entered query. - [GET /{environment}/searches/lists](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/operations/lists_with_env.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/operations/lists_with_env.html)) — Query cached search results from a previously computed list. - [GET /{environment}/targeting/audiences](https://docs.froomle.com/froomle-doc-main/v2/api_reference/audience/operations/get_audience_from_cache.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/audience/operations/get_audience_from_cache.html)) — Returns an audience previously requested through the /targeting/audiences/requests endpoint. Can be used to paginate through large result sets. Note that audiences are only stored… - [GET /metrics](https://docs.froomle.com/froomle-doc-main/v2/api_reference/items/operations/update_item.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/items/operations/update_item.html)) — This function will get the information for each available metric. - [GET /metrics/{metric}](https://docs.froomle.com/froomle-doc-main/v2/api_reference/items/operations/delete_item.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/items/operations/delete_item.html)) — Get the results for the metric. - [Items API](https://docs.froomle.com/froomle-doc-main/v2/api_reference/items/index.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/items/index.html)) — The Items API allows you to manage your item catalog in real-time. - [POST /{environment}/searches/completions](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/operations/post_completion_with_env.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/operations/post_completion_with_env.html)) — Request completions with the advanced payload that supports multi-environment setups. - [POST /{environment}/searches/requests](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/operations/search_with_env.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/operations/search_with_env.html)) — Request search results scoped to a specific environment. - [POST /{environment}/targeting/audiences/requests](https://docs.froomle.com/froomle-doc-main/v2/api_reference/audience/operations/get_audience.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/audience/operations/get_audience.html)) — Request an audience for a promotion. - [Recommendations API](https://docs.froomle.com/froomle-doc-main/v2/api_reference/recommendations/index.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/recommendations/index.html)) — Getting recommendations from the Froomle platform is done through the recommendations API. The recommendations will consist only of items which are provided for the specified… - [Recommendations API schemas](https://docs.froomle.com/froomle-doc-main/v2/api_reference/recommendations/schemas.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/recommendations/schemas.html)) — One content-item. - [Request API](https://docs.froomle.com/froomle-doc-main/v2/api_reference/recommendations/operations/recommendations_with_env.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/recommendations/operations/recommendations_with_env.html)) — Request newly computed recommendations. For each list, the response returns up to limit items from the start of the ranked list, beginning at rank 1. - [Request Batch Recommendations](https://docs.froomle.com/froomle-doc-main/v2/api_reference/batch_recommendations/operations/get_batch_recommendations.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/batch_recommendations/operations/get_batch_recommendations.html)) — Requesting recommendations in batch happens by uploading a CSV file to the Froomle SFTP. The Froomle platform will then compute the recommendations and upload a CSV file back onto… - [Search API](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/index.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/index.html)) — Getting search results and completions from the Froomle platform is done through the search API. The search results and completions in the API will only contain items which are… - [Search API schemas](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/schemas.md) ([HTML](https://docs.froomle.com/froomle-doc-main/v2/api_reference/search/schemas.html)) — One content item returned by the Search API.